Page MenuHomePhabricator

Dyslexia article (byte count) per editor
Closed, ResolvedPublic

Description

hi, I took [[ URL https://xtools.wmflabs.org/articleinfo/en.wikipedia.org/Dyslexia| Dyslexia ]] Dyslexia to GA status a few years ago...the question is that recently the bytes ''Top 10 by added text'' seems to have been altered when the new X-tools was done for ''revision history'' if you check [https://tools.wmflabs.org/sigma/usersearch.py?page=Dyslexia&server=enwiki]w/ 'wikiblame' the numbers don't add up I use to be 4th or 5th in text added(now I'm nowhere), if it where another article I would not care however since I took it thru the GA process twice[https://en.wikipedia.org/wiki/Talk%3ADyslexia%2FGA2] and [https://en.wikipedia.org/wiki/Talk%3ADyslexia%2FGA1], I would therefore like to know how to correct it thank you...(if you have access to the old version of ''revision history'' you would immediately see the difference I'm referring to)

Event Timeline

Ozzie10aaaa updated the task description. (Show Details)Nov 4 2017, 4:52 PM

Hi Ozzie10aaaa, I just looked at https://xtools.wmflabs.org/articleinfo/en.wikipedia.org/Dyslexia and I see you as rank 2 by number of edits, and 5th by bytes added, so I assume you just mean the "Top 10 by added text" pie-chart that does appear to be showing differnt data. The pie chart appears to be showing the edits without the caveat 2 on the table, so editors like the anon 67.68.57.35 who do 1 edit of 242,636 bytes is top of that one. It would seam reasonable it should show the same as the table.

Ozzie10aaaa updated the task description. (Show Details)Nov 4 2017, 4:54 PM
Ozzie10aaaa added a comment.EditedNov 4 2017, 5:07 PM

thank you

MusikAnimal moved this task from Inbox to Other on the XTools board.Nov 5 2017, 7:20 PM
MusikAnimal added a subscriber: MusikAnimal.

It looks like there are several issues here... I'm also seeing ClueBot NG listed as a top editor, when it should be shown under "Bot list". Also, User:67.68.57.35 is shown in the "Top 10 by added text" chart, but not in the table. I shall investigate and hopefully get a fix out soon! Thanks for the report

MusikAnimal moved this task from Other to Working on the XTools board.

The issue I spoke of in T179762#3736231 should be fixed with b63f6fd.

I'm not sure there is another bug. The "Top editors" table is sorted by number of edits, and with the above commit it should now match the "Top 10 by edits" chart. The "top 10 by added text" must have changed over time, where other editors ended up adding more text than Ozzie. If you want to see your individual edits to the article, try the Top Edits tool: https://xtools.wmflabs.org/topedits/en.wikipedia.org/Ozzie10aaaa/0/Dyslexia

ArticleInfo does not count edits that were reverted with the following edit, but Top Edits does. This is why you'll see different values for "Added text" between the two tools. This I will have to look into. I have created T179995.

thank you for your ongoing help

Fixed with fb7a7b9. More info at T179996#3911894. I'll get this deployed soon.

thank you again, ....Ozzie A.

MusikAnimal closed this task as Resolved.Jan 19 2018, 9:20 PM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.

@Ozzie10aaaa You now come in 6th by added text, 2nd by number of edits: https://xtools.wmflabs.org/articleinfo/en.wikipedia.org/Dyslexia#top-editors

...and 1st place by authorship: https://xtools.wmflabs.org/articleinfo/en.wikipedia.org/Dyslexia#authorship

Thanks for your patience.

on the contrary, thank you for your diligent work and effort I appreciate it....Ozzie A.